Bug 186315 - Wireless should never fall back to wired connection with applications currently unable to cope with network changes.
Wireless should never fall back to wired connection with applications current...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 16:04 EST by Suzanne Hillman
Modified: 2008-05-06 11:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-03-22 16:04:55 EST
Description of problem:
Wireless should not fall back to wired connection with applications which are
currently unable to detect (or cope with, in many cases!) network changes. 

Currently, if one has a functional wired connection, disconnect it and fall to
last known good wireless, and then reconnect the wired connection, it falls back
to the wired one.

When it's true that various apps (gaim, vpn, ssh, evolution, among others)
correctly detect a loss of network/network change, I agree that wired should
always be defaulted to if available, for security of connection reasons. 

But as is, we need to be consistent in our behavior, and we do not currently
fall to wired if a wireless connection was specifically selected and wired is
plugged in.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.0-3

How reproducible:
Always

Steps to Reproduce:
1. Connect a wired connection on a machine/user combination which has already
had a functional and accessable wireless connection set up.
2. Disconnect the wired connection, and watch it fall back to the wireless
connection.
3. Reconnect the wired connection.
  
Actual results:
Falls back to wired.

Expected results:
Should not fall back to wired (at least with things as they currently are).

Additional info:
The best thing to do would be to fix the confused behavior of the various apps
which have trouble detecting and/or handling the loss of or change of network
connection, and have it always fall to a wired one. This is not an option right
now, though.

When it comes time to be able to have multiple connections at the same time, via
NM, that'll be an entirely different question (and my suggestion would be that
multiple functional network connections needs to be an advanced setting, and not
the default one).
Comment 1 petrosyan 2008-03-10 22:29:22 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 2 Bug Zapper 2008-04-03 22:12:00 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:36:35 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.